package cn.com.poc.thirdparty.resource.textin.entity;

/**
 * @author alex.yao
 * @date 2025/5/7
 */
public class PdfToMDResponse {
    public String pdfPwd;
    public Integer dpi;
    public Integer pageStart;
    public Integer pageCount;
    public Boolean applyDocumentTree;
    public String markdownDetails;
    public String tableFlavor;
    public String getImage;
    public String parseMode;

    public String getPdfPwd() {
        return pdfPwd;
    }

    public void setPdfPwd(String pdfPwd) {
        this.pdfPwd = pdfPwd;
    }

    public Integer getDpi() {
        return dpi;
    }

    public void setDpi(Integer dpi) {
        this.dpi = dpi;
    }

    public Integer getPageStart() {
        return pageStart;
    }

    public void setPageStart(Integer pageStart) {
        this.pageStart = pageStart;
    }

    public Integer getPageCount() {
        return pageCount;
    }

    public void setPageCount(Integer pageCount) {
        this.pageCount = pageCount;
    }

    public Boolean getApplyDocumentTree() {
        return applyDocumentTree;
    }

    public void setApplyDocumentTree(Boolean applyDocumentTree) {
        this.applyDocumentTree = applyDocumentTree;
    }

    public String getMarkdownDetails() {
        return markdownDetails;
    }

    public void setMarkdownDetails(String markdownDetails) {
        this.markdownDetails = markdownDetails;
    }

    public String getTableFlavor() {
        return tableFlavor;
    }

    public void setTableFlavor(String tableFlavor) {
        this.tableFlavor = tableFlavor;
    }

    public String getGetImage() {
        return getImage;
    }

    public void setGetImage(String getImage) {
        this.getImage = getImage;
    }

    public String getParseMode() {
        return parseMode;
    }

    public void setParseMode(String parseMode) {
        this.parseMode = parseMode;
    }
}
